/** @version $Id: ShowBalance.java,v 1.2 2011/09/25 14:49:28 david Exp $ */
/* 
 * $Log: ShowBalance.java,v $
 * Revision 1.2  2011/09/25 14:49:28  david
 * New version of the bank application. The textui version has been updated
 * and now uses exceptions as a bridge to convey to the menu class errors
 * in operations.
 *
 * 
 */
package bank.textui.savingsaccount;

import static ist.po.ui.Dialog.IO;
import ist.po.ui.Command;
import bank.SavingsAccount;

/**
 * Command for showing a savings account balance
 */
public class ShowBalance extends Command<SavingsAccount> {

	/**
	 * @param account
	 *            the target savings account
	 */
	public ShowBalance(SavingsAccount account) {
		super(false, MenuEntry.SHOW_BALANCE, account);
	}

	/**
	 * @see ist.po.ui.Command#execute()
	 */
	@Override
	public final void execute() {
		IO.println(Message.showBalance(_receiver.getBalance()));
	}
}